User Me
curl --request GET \
--url https://app.apigene.ai/api/user/me \
--header 'Authorization: Bearer <token>'import requests
url = "https://app.apigene.ai/api/user/me"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.apigene.ai/api/user/me', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"email": "jsmith@example.com",
"role": "User",
"org_name": "<string>",
"org_id": "<string>",
"name": "<string>",
"last_login": "2023-11-07T05:31:56Z",
"photo_url": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"onboarding_completed": true,
"trial_expire_in": 123,
"features": {}
}User
User Me
Endpoint to retrieve information about the currently authenticated user.
Returns user metadata including email, name, role, organization info, trial expiration, onboarding status, and enabled features based on the organization’s tier.
Args:
Returns: UserInfo: A dictionary containing user and organization-specific metadata.
GET
/
api
/
user
/
me
User Me
Authorizations
JWT Authorization header using the Bearer scheme. Example: 'Authorization: Bearer {token}'
Response
200 - application/json
Successful Response
Available options:
APIGene, Owner, Admin, User, Member 